%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung des CO2-Gaswechsels des Planzenbestandes 'gawepap2', G, g/(m.h)
%  ruft auf: sdef
%  23.1.1995

function G = gawepap(X, IGLOB, A, P0);

   % DDI = X(:,1);
   % TEMI = X(:,2);
   % CI = X(:,3);
   % IGLOB = KLIMA(:,6);
   % A = PLANT(:,1);
   % P0 = PLANT(:,2);

   BLFL = A * 1e2;      % Umrechnung von m in dm
   BQ = 0.71;
   I = BQ .* IGLOB;
   IPHOT = 2.24 * I;

   A0 = 0.6360;
   B0 = 0.003074; B1 = 0.003153; B2 = -0.009174; B3 = 0.1150; B4 = -0.008900;
   C0 = 0.0001735;
   EXT = 0.06980;
   SDIO = 10;
   SDI = sdef(X(:,1), X(:,2));

   G1 = 1 - exp(-B0 * IPHOT .* exp(-EXT * 0.1667 * BLFL));
   G2 = 1 - exp(-B0 * IPHOT .* exp(-EXT * 0.5000 * BLFL));
   G3 = 1 - exp(-B0 * IPHOT .* exp(-EXT * 0.8334 * BLFL));
   G4 = (1 - exp(-B1 * X(:,3))) .* (X(:,2)+ B2 * X(:,2).^2);
   G5 = B3 * X(:,2) + B4 * X(:,2).^2;
   G6 = (1 + C0 * SDIO.^2) ./ (1 + C0 * SDI.^2);
   G = (A0 * (G1 + G2 + G3) .* G4 + G5) .* G6;
   % [A0*(G1+G2+G3) G4 G5 G6 G]

   G = G .* BLFL * 1e-3;      % Umrechnung von mg in g


% end of function
