%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung des CO2-Gaswechsels des Planzenbestandes 'gawetom1', G, g/(m.h)
%  ruft auf: sdef
%  17.6.1994

function G = gawetom1(X, IGLOB, A, P0);

   % IGLOB = KLIMA(:,6);
   % A = PLANT(:,1);
   % P0 = PLANT(:,2);
   
   BLFL = A * 1e2;      % Umrechnung von m in dm
   P0 = P0 * 1e3;       % Umrechnung von g in mg
   BQ = 0.71;
   I = BQ .* IGLOB;
   C1 = 0.13814; C2 = 0.008687; C3 = 0.003697; C4 = -0.019083; C5 = 0.002073; C6 = 0.087525;

   FICT = C1 * (1 - exp(-C2 * 0.5 * I)) .* (1 - exp(-C3 * X(:,3))) .* (X(:,2) + C4 * X(:,2).^2) - C5 * (X(:,2) + C6 * X(:,2).^2);
   SDIG1 = 5; SDIG2 = 10; EE1 = 0.0001; EE2 = 0.001;

   SDEFValue = sdef(X(:,1), X(:,2));
   if SDEFValue < SDIG1, FSD = exp(-EE1 * (SDIG1 - SDEFValue).^2);
   elseif SDEFValue >= SDIG1 & SDEFValue <= SDIG2, FSD = 1;
   elseif SDEFValue > SDIG2, FSD = exp(-EE2 * (SDIG2 - SDEFValue).^2); end;

   if FICT > 0, FREL = FICT .* FSD; else FREL = FICT; end
   G = P0 .* FREL;
   G = G .* BLFL * 1e-3;      % Umrechnung von mg in g

% end of function
