%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung der Transpiration des Pflanzenbestandes 'trans01', V, g/(m.h)
%  ruft auf: sdef, dadr, sdadr
%  09.01.1995

function V = transpap(X, IGLOB, A, V0);

   % IGLOB = KLIMA(:,6);
   % A = PLANT(:,1);
   % V0 = PLANT(:,3);
   
   BQ = 0.71;
   I = BQ * IGLOB;        
   BLFL = A .* 100;     % Umrechnung von m in dm
   A10 = 7.5988; A11 = -0.03089; A2 = 0.06313; A3 = 6.7690; A4 = 0.001040; A5 = 27.7003;
   SDI = sdef(X(:,1), X(:,2));
   V = (A10 + A11 * BLFL) .* (1 - exp(-A2 * (SDI + A3))) .* (1 - exp(-A4 * (I + A5)));
   V = V .* BLFL;


% end of function
